Module | PhusionPassenger::Rails3Extensions::AnalyticsLogging::ACExtension
In: | lib/phusion_passenger/rails3_extensions/init.rb

### Methods

process_action render

### Public Instance methods

process_action(action, *args)

[Source]

         # File lib/phusion_passenger/rails3_extensions/init.rb, line 164
    164:                 def process_action(action, *args)
    165:                         log = request.env[PASSENGER_ANALYTICS_WEB_LOG]
    166:                         if log
    167:                                 log.message("Controller action: #{self.class.name}##{action_name}")
    168:                                 log.measure("framework request processing") do
    169:                                         super
    170:                                 end
    171:                         else
    172:                                 super
    173:                         end
    174:                 end

render(*args)

[Source]

         # File lib/phusion_passenger/rails3_extensions/init.rb, line 176
    176:                 def render(*args)
    177:                         log = request.env[PASSENGER_ANALYTICS_WEB_LOG]
    178:                         if log
    179:                                 log.measure("view rendering") do
    180:                                         super
    181:                                 end
    182:                         else
    183:                                 super
    184:                         end
    185:                 end

[Validate]